Index: /pom.xml
===================================================================
--- /pom.xml	(revision 18)
+++ /pom.xml	(revision 19)
@@ -6,5 +6,5 @@
 	<artifactId>profilesserver</artifactId>
 	<packaging>war</packaging>
-	<version>1.5.2</version> <!-- must equal ${geniusweb.version} -->
+	<version>1.5.3</version> <!-- must equal ${geniusweb.version} -->
 	<name>profileserver Maven Webapp</name>
 	<url>http://maven.apache.org</url>
@@ -18,5 +18,5 @@
 		<jackson-2-version>2.9.10</jackson-2-version>
 		<tomcat.version>8.5.20</tomcat.version>
-		<geniusweb.version>1.5.2</geniusweb.version>
+		<geniusweb.version>1.5.3</geniusweb.version>
 	</properties>
 
@@ -307,5 +307,5 @@
 				<groupId>org.apache.maven.plugins</groupId>
 				<artifactId>maven-javadoc-plugin</artifactId>
-				<version>2.10.1</version>
+				<version>3.2.0</version>
 				<executions>
 					<execution>
@@ -314,8 +314,4 @@
 							<goal>jar</goal>
 						</goals>
-						<configuration>
-							<additionalparam>${javadoc.opts}</additionalparam>
-							<additionalparam>-Xdoclint:none</additionalparam>
-						</configuration>
 					</execution>
 				</executions>
Index: /src/main/java/geniusweb/profilesserver/AutoUpdatingProfilesRepository.java
===================================================================
--- /src/main/java/geniusweb/profilesserver/AutoUpdatingProfilesRepository.java	(revision 18)
+++ /src/main/java/geniusweb/profilesserver/AutoUpdatingProfilesRepository.java	(revision 19)
@@ -367,5 +367,5 @@
 	 * {@link FileWatcher}.
 	 * 
-	 * @param file
+	 * @param file the file/dir to watch
 	 * @return a class that watches for file changes below the given file.
 	 */
@@ -380,5 +380,4 @@
 	 * @return the root dir of the repo. This is the 'database' where all known
 	 *         profiles are stored.
-	 * @throws URISyntaxException
 	 */
 	protected Path getRootDir() {
Index: /src/main/java/geniusweb/profilesserver/DefaultProfilesRepository.java
===================================================================
--- /src/main/java/geniusweb/profilesserver/DefaultProfilesRepository.java	(revision 18)
+++ /src/main/java/geniusweb/profilesserver/DefaultProfilesRepository.java	(revision 19)
@@ -33,7 +33,7 @@
 	 * all currently available profiles and domains. Invariant for this class:
 	 * All {@link Domain}s in this map have a unique name that matches the
-	 * directory name and file name on the file system below {@link #dir}. All
-	 * profile values in the map their {@link Profile#getDomain()} match with
-	 * the domain key in the map.
+	 * directory name and file name on the file system below the given
+	 * directory. All profile values in the map their
+	 * {@link Profile#getDomain()} match with the domain key in the map.
 	 */
 	protected final Map<Domain, List<Profile>> available = new ConcurrentHashMap<>();
Index: /src/main/java/geniusweb/profilesserver/Jackson.java
===================================================================
--- /src/main/java/geniusweb/profilesserver/Jackson.java	(revision 18)
+++ /src/main/java/geniusweb/profilesserver/Jackson.java	(revision 19)
@@ -9,5 +9,5 @@
  * 
  * <b> This class should is private to the profiles server and should not be
- * used by others.
+ * used by others.</b>
  */
 public class Jackson {
Index: /src/main/java/geniusweb/profilesserver/ProfilesRepository.java
===================================================================
--- /src/main/java/geniusweb/profilesserver/ProfilesRepository.java	(revision 18)
+++ /src/main/java/geniusweb/profilesserver/ProfilesRepository.java	(revision 19)
@@ -22,8 +22,8 @@
 
 	/**
-	 * @param simple profilename of the form "domainname/profileX" (no
-	 *               extendsions).
-	 * @return profile with the given name and the given domain, or null if no
-	 *         such domain or profile exists.
+	 * @param profilename simple profile name of the form "domainname/profileX"
+	 *                    (no extendsions).
+	 * @return {@link Profile} with the given name and the given domain, or null
+	 *         if no such domain or profile exists.
 	 * 
 	 */
Index: /src/main/java/geniusweb/profilesserver/events/ProfileChangeEvent.java
===================================================================
--- /src/main/java/geniusweb/profilesserver/events/ProfileChangeEvent.java	(revision 18)
+++ /src/main/java/geniusweb/profilesserver/events/ProfileChangeEvent.java	(revision 19)
@@ -7,9 +7,6 @@
 
 	/**
-	 * 
-	 * @param type the {@link ModificationType} of this event.
-	 * 
-	 * @param old  the profile before the change. Null if it was added.
-	 * @param      new the profile after the change. Null if it was removed
+	 * @param oldprof the profile before the change. Null if it was added.
+	 * @param newprof the profile after the change. Null if it was removed
 	 */
 	public ProfileChangeEvent(Profile oldprof, Profile newprof) {
Index: /src/main/java/geniusweb/profilesserver/websocket/GetProfileSocket.java
===================================================================
--- /src/main/java/geniusweb/profilesserver/websocket/GetProfileSocket.java	(revision 18)
+++ /src/main/java/geniusweb/profilesserver/websocket/GetProfileSocket.java	(revision 19)
@@ -41,12 +41,21 @@
  * 
  * <p>
- * Query string: the websocket allows query strings.
- * <ul>
- * <li>partial</li> a query key that is assigned a natural number N (0 or
- * larger). If set, the profile is converted into a Partial Profile with the
- * given number of points. If N>0, the maximum utility bid is included .If N>1,
- * the minimum utility bid is included. The other bids are picked at random.
- * This filtering mechanism only works if the profile is {@link LinearAdditive}
- * space. The reservation bid is passed through unmodified.
+ * Query strings: the websocket allows query strings. Allowed:
+ * <table>
+ * <caption>Query strings for GetprofileSocket</caption>
+ * <tr>
+ * <th>query name</th>
+ * <th>description</th>
+ * </tr>
+ * <tr>
+ * <td>partial=N</td>
+ * <td>a query key that is assigned a natural number N (0 or larger). If set,
+ * the profile is converted into a Partial Profile with the given number of
+ * points. If N&gt;0, the maximum utility bid is included .If N&gt;1, the
+ * minimum utility bid is included. The other bids are picked at random. This
+ * filtering mechanism only works if the profile is {@link LinearAdditive}
+ * space. The reservation bid is passed through unmodified.</td>
+ * </tr>
+ * </table>
  */
 @ServerEndpoint("/websocket/get/{domain}/{profile}")
